<template>
  <b-container fluid class="home">
    <div>
      <h1 class="display-3">Welcome <font color="#497774">{{ user.username }}</font> </h1>
      <p class="lead">This is the Admin page of <b>Platone Blockchain Access Platform</b></p>
    </div>
 </b-container>

</template>

<style>
  input {
    text-align: center;
  }
  .home {
    text-align: center;
  }
  .home .lead {
    font-weight: 200;
    font-size: 1.5rem;
  }
  .b-search {
    margin-top: 10px;
    background-color: #497774;
  }
  .card {
    margin-top: 20px;
  }
  .json {
    text-align: left;
    width: 50%;
  }
  .hash {
    width: 50%;
  }
  .verifiedHash {
    margin-top: 40px;
  }
  .center {
    text-align: center;
  }
</style>

<script>
import HomeService from '@/services/HomeService'

export default {
  name: 'home',
  data () {
    return {
      user: this.$session.get('user'),
      result: null,
      cassandraResult: null,
      hash: null,
      text: '',
      vHash: null,
      alert: 'light',
      loading: false
    }
  },
  methods: {
    async getCertification (transaction) {
      const response = await HomeService.getCertification(transaction)
      console.log('Response ' + JSON.stringify(response.data))
      this.result = response.data[0]
    },
    async cassandraQuery (dateFrom, dateTo, owner) {
      this.loading = true
      const response = await HomeService.cassandraQuery({dateFrom, dateTo, owner})
      console.log('Response ' + JSON.stringify(response.data))
      this.cassandraResult = response.data.meterReadings._rs.rows
      this.resultToShow = this.cassandraResult.slice(0, 10)
      this.hash = response.data.hash
    },
    isVerified () {
      console.log('VERIFIED')
      if (this.vHash === this.hash) {
        this.alert = 'success'
      } else {
        this.alert = 'danger'
      }
    }
  }
}
</script>
